> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkedcamp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User

> Returns the currently authenticated user along with their linked LinkedIn and email accounts.

## Headers

<ParamField header="token" type="string" required>
  Your LinkedCamp API token.
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the request was successful.
</ResponseField>

<ResponseField name="message" type="string">
  A human-readable result message.
</ResponseField>

<ResponseField name="user" type="object">
  The user account details.

  <Expandable title="User Properties">
    <ResponseField name="email" type="string">
      User's email address.
    </ResponseField>

    <ResponseField name="fullName" type="string">
      User's full name.
    </ResponseField>

    <ResponseField name="apiKey" type="string">
      User's API key.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="linkedAccount" type="object">
  The linked LinkedIn account details.

  <Expandable title="Linked Account Properties">
    <ResponseField name="fullName" type="string">
      LinkedIn account full name.
    </ResponseField>

    <ResponseField name="email" type="string">
      LinkedIn account email.
    </ResponseField>

    <ResponseField name="isValid" type="boolean">
      Whether the LinkedIn account is valid.
    </ResponseField>

    <ResponseField name="headline" type="string">
      LinkedIn headline.
    </ResponseField>

    <ResponseField name="profileLink" type="string">
      LinkedIn profile URL.
    </ResponseField>

    <ResponseField name="salesNavLink" type="string">
      Sales Navigator profile URL.
    </ResponseField>

    <ResponseField name="recruiterLink" type="string">
      Recruiter profile URL.
    </ResponseField>

    <ResponseField name="profileUrn" type="string">
      LinkedIn profile URN.
    </ResponseField>

    <ResponseField name="profilePic" type="string">
      Profile picture URL.
    </ResponseField>

    <ResponseField name="invalidReason" type="string">
      Reason if the account is invalid.
    </ResponseField>

    <ResponseField name="isPaused" type="boolean">
      Whether the account is paused.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="emailAccounts" type="array">
  List of connected email accounts.

  <Expandable title="Email Account Properties">
    <ResponseField name="fullName" type="string">
      Email account display name.
    </ResponseField>

    <ResponseField name="email" type="string">
      Email address.
    </ResponseField>

    <ResponseField name="isValid" type="boolean">
      Whether the email account is valid.
    </ResponseField>

    <ResponseField name="isPaused" type="boolean">
      Whether the email account is paused.
    </ResponseField>

    <ResponseField name="type" type="string">
      Email account type.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.linkedcamp.com/users/me \
    -H "token: YOUR_API_TOKEN"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.linkedcamp.com/users/me",
      headers={"token": "YOUR_API_TOKEN"},
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.linkedcamp.com/users/me", {
    headers: { "token": "YOUR_API_TOKEN" },
  });
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "User found successfully!",
    "user": {
      "email": "user@example.com",
      "fullName": "John Doe",
      "apiKey": "abc123..."
    },
    "linkedAccount": {
      "fullName": "John Doe",
      "email": "john@linkedin.com",
      "isValid": true,
      "headline": "CEO at Acme Corp",
      "profileLink": "https://www.linkedin.com/in/johndoe",
      "isPaused": false
    },
    "emailAccounts": [
      {
        "fullName": "John Doe",
        "email": "john@acme.com",
        "isValid": true,
        "isPaused": false,
        "type": "GMAIL"
      }
    ]
  }
  ```
</ResponseExample>
